- name: Copy supervisord.conf
  ansible.builtin.template:
    src: "supervisord.conf"
    dest: "{{path_root_server}}/supervisord.conf"
    mode: "755"

- name: Copy nginx container template
  ansible.builtin.template:
    src: "nginx_container.conf"
    dest: "{{path_root_server}}/nginx_container.conf"
    owner: www-data
    group: www-data
    mode: "755"

- name: Copy Dockerfile with 755 permission
  ansible.builtin.template:
    src: "Dockerfile"
    dest: "{{path_root_server}}/Dockerfile"
    owner: www-data
    group: www-data
    mode: "755"

- name: build docker image from Dockerfile
  community.docker.docker_image:
    state: present 
    name: "amanah/{{product_module}}" 
    force_source: true
    build:
      dockerfile: Dockerfile
      path: "{{path_root_server}}"
      pull: true
    source: build

- name: Remove container named "{{main_class}}" with image amanah/{{product_module}}
  community.docker.docker_container:
    name: "{{main_class}}"
    image: amanah/{{product_module}}
    state: absent

- name: Create container {{main_class}} with image amanah/{{product_module}}
  community.docker.docker_container:
    name: "{{main_class}}"
    image: amanah/{{product_module}}
    state: started
    published_ports: # host_port: container_port 
      - "{{port_docker_nginx}}:80"